Subject: Fwd: So Chic Call Ceter
From: Pritish Nandi <[email-masked]>
To: Marrien Marrien <[email-masked]>
Date: Fri, 2 Dec 2022 11:05:27 -0700 (MST)

From: "Julia Brasfield" <[email-masked]> 
To: "Pritish Nandi" <[email-masked]> 
Sent: Friday, December 2, 2022 10:46:08 PM 
Subject: So Chic Call Ceter 

Hey Pritish, 

I got some feedback on one of our calls - things have been running very smoothly with the staff changes. And, this time of year is usually crazy with calls. While Maria absolutely worked within the guidelines on the call mentioned below, when it's a high ticket item like this please have the reps reach out to the salons. Stylists will often work extra or figure out how to fit someone when it's this involved. Also, we do need to confirm if a client wants to cancel an appointment or not in a situation like this. 

Thanks, 
Julia 

I have attached a call that I feel the call center could have handled better. This client had an issue getting in and then they never cancelled any of the appointments at the end of the call or confirmed if they wanted to be cancelled. This left Hope with a 4 hour no show and we lost a high ticket customer with full foil extension removal and extensions put back in. My suggestion on how this could have ended better is "I am so sorry I couldn't work anything out for you. Would you like me to move forward with cancelling these appointments on ___ date(s) for you? I can also ask the manager, Shelby, to give you a call and see what we can do." I feel this would have given the client a better feeling of support and we may have lost a big ticket client. We could have also asked around for another stylist if Hope couldn't have worked it out. Can you please share my feedback with the manager? I think in this time with us being so picked if we get a call like this we should ask the manager to reach out to see if we can accommodate 

-- 
Julia Brasfield 

3824 Highlands Parkway SE 
Smyrna, GA 30082 
O: [ tel:(404)%20262-9499 | 404.262.9499 ] 
M: [ tel:(803)9601763 | 4 ] 04.414.4420 
[ mailto:[email-masked] | [email-masked] ] 
[ http://www.bobsteele.com/ | www.bobsteele.com ]